[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.ShowException

Show an exception to the user

## Declaration

Source position: custapp.pp line 66

`public procedure TCustomApplication.ShowException(`
`E: Exception`
`); virtual;`

## Arguments

`E` |  | Exception object to show

## Description

ShowException should be overridden by descendent classes to show an exception message to the user. The default behaviour is to call the ShowException procedure in the SysUtils unit.

Descendent classes should do something appropriate for their context: GUI applications can show a message box, daemon applications can write the exception message to the system log, web applications can send a 500 error response code.

## Errors

None.

## See also

ShowException
TCustomApplication.HandleException |  | Handle an exception.
TCustomApplication.StopOnException |  | Should the program loop stop on an exception